[youtubei.js](../README.md) / SessionArgs

# Type Alias: SessionArgs

> **SessionArgs**: `object`

## Type declaration

### client\_name

> **client\_name**: [`ClientType`](../enumerations/ClientType.md)

### device\_category

> **device\_category**: [`DeviceCategory`](../namespaces/Utils/type-aliases/DeviceCategory.md)

### enable\_safety\_mode

> **enable\_safety\_mode**: `boolean`

### lang

> **lang**: `string`

### location

> **location**: `string`

### on\_behalf\_of\_user

> **on\_behalf\_of\_user**: `string` \| `undefined`

### time\_zone

> **time\_zone**: `string`

### visitor\_data

> **visitor\_data**: `string`

## Defined in

[src/core/Session.ts:199](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/core/Session.ts#L199)
